Tasks
Complete a task
Toggles completion of one of the calling user’s tasks: an open task is marked complete now, and a completed task is reopened (completed_at is cleared). Returns the task. Returns 404 when the task does not belong to the calling user. Requires a company admin or rep token tied to a user; admin users need the users update permission.
POST
/
api
/
tasks
/
{task_id}
/
complete
Complete a task
curl --request POST \
--url https://api.fluid.app/api/tasks/{task_id}/complete \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/tasks/{task_id}/complete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/tasks/{task_id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/tasks/{task_id}/complete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/tasks/{task_id}/complete"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/tasks/{task_id}/complete")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/tasks/{task_id}/complete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 15522,
"body": "Call Holly Flax about the Nashua paper order",
"due_at": "2026-09-24T18:30:00Z",
"completed_at": "2026-09-24T17:52:09Z",
"created_at": "2026-09-18T14:05:22Z",
"contact": {
"id": 48213,
"token": "pX7kQ2mR9vTzL4nB8cWfJ3hY",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": null,
"status": "new",
"email": "holly.flax@gmail.com",
"email2": null,
"phone": "+15705550142",
"phone2": null,
"phone_id": null,
"address": "300 Kellum Court",
"address2": null,
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 214,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"full_name": "Holly Flax",
"discarded_at": null
}
}{
"message": "<string>"
}Response
Success
A to-do task owned by a user, optionally about one of their contacts.
⌘I
Complete a task
curl --request POST \
--url https://api.fluid.app/api/tasks/{task_id}/complete \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/tasks/{task_id}/complete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/tasks/{task_id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/tasks/{task_id}/complete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/tasks/{task_id}/complete"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/tasks/{task_id}/complete")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/tasks/{task_id}/complete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 15522,
"body": "Call Holly Flax about the Nashua paper order",
"due_at": "2026-09-24T18:30:00Z",
"completed_at": "2026-09-24T17:52:09Z",
"created_at": "2026-09-18T14:05:22Z",
"contact": {
"id": 48213,
"token": "pX7kQ2mR9vTzL4nB8cWfJ3hY",
"first_name": "Holly",
"last_name": "Flax",
"avatar_url": null,
"status": "new",
"email": "holly.flax@gmail.com",
"email2": null,
"phone": "+15705550142",
"phone2": null,
"phone_id": null,
"address": "300 Kellum Court",
"address2": null,
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"language_id": 1,
"country_id": 214,
"lead_type": null,
"ip": null,
"requested_at": null,
"best_time": null,
"time_zone": "America/New_York",
"reason": null,
"income": null,
"hours": null,
"invest": null,
"interest": null,
"full_name": "Holly Flax",
"discarded_at": null
}
}{
"message": "<string>"
}